Subject: linux-next: build failure after merge of the regulator tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 20 Nov 2018 11:49:04 +1100

Hi all,

After merging the regulator tree, today's linux-next build (x86_64
allmodconfig) failed like this:

ERROR: "regulator_lock" [drivers/regulator/wm8350-regulator.ko] undefined!
ERROR: "regulator_unlock" [drivers/regulator/wm8350-regulator.ko] undefined!
ERROR: "regulator_unlock" [drivers/regulator/da9210-regulator.ko] undefined!
ERROR: "regulator_lock" [drivers/regulator/da9210-regulator.ko] undefined!

Caused by commit

  f8702f9e4aa7 ("regulator: core: Use ww_mutex for regulators locking")

I have used the regulator tree from next-20181119 for today.

-- 
Cheers,
Stephen Rothwell